# -*- encoding: utf-8 -*-
# stub: treetop 1.6.7 ruby lib

Gem::Specification.new do |s|
  s.name = "treetop".freeze
  s.version = "1.6.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nathan Sobo".freeze, "Clifford Heath".freeze]
  s.date = "2022-06-14"
  s.description = "A Parsing Expression Grammar (PEG) Parser generator DSL for Ruby".freeze
  s.email = "cliffordheath@gmail.com".freeze
  s.executables = ["tt".freeze]
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/tt".freeze, "doc/contributing_and_planned_features.markdown".freeze, "doc/grammar_composition.markdown".freeze, "doc/index.markdown".freeze, "doc/pitfalls_and_advanced_techniques.markdown".freeze, "doc/semantic_interpretation.markdown".freeze, "doc/site.rb".freeze, "doc/sitegen.rb".freeze, "doc/syntactic_recognition.markdown".freeze, "doc/tt.1".freeze, "doc/using_in_ruby.markdown".freeze, "examples/indented_blocks/indented_blocks.tt".freeze, "examples/indented_blocks/indented_blocks_test.rb".freeze, "examples/lambda_calculus/arithmetic.rb".freeze, "examples/lambda_calculus/arithmetic.treetop".freeze, "examples/lambda_calculus/arithmetic_node_classes.rb".freeze, "examples/lambda_calculus/arithmetic_test.rb".freeze, "examples/lambda_calculus/lambda_calculus.rb".freeze, "examples/lambda_calculus/lambda_calculus.treetop".freeze, "examples/lambda_calculus/lambda_calculus_node_classes.rb".freeze, "examples/lambda_calculus/lambda_calculus_test.rb".freeze, "examples/lambda_calculus/test_helper.rb".freeze, "lib/treetop.rb".freeze, "lib/treetop/bootstrap_gen_1_metagrammar.rb".freeze, "lib/treetop/compiler.rb".freeze, "lib/treetop/compiler/grammar_compiler.rb".freeze, "lib/treetop/compiler/lexical_address_space.rb".freeze, "lib/treetop/compiler/metagrammar.rb".freeze, "lib/treetop/compiler/metagrammar.treetop".freeze, "lib/treetop/compiler/node_classes.rb".freeze, "lib/treetop/compiler/node_classes/anything_symbol.rb".freeze, "lib/treetop/compiler/node_classes/atomic_expression.rb".freeze, "lib/treetop/compiler/node_classes/character_class.rb".freeze, "lib/treetop/compiler/node_classes/choice.rb".freeze, "lib/treetop/compiler/node_classes/declaration_sequence.rb".freeze, "lib/treetop/compiler/node_classes/grammar.rb".freeze, "lib/treetop/compiler/node_classes/inline_module.rb".freeze, "lib/treetop/compiler/node_classes/nonterminal.rb".freeze, "lib/treetop/compiler/node_classes/optional.rb".freeze, "lib/treetop/compiler/node_classes/parenthesized_expression.rb".freeze, "lib/treetop/compiler/node_classes/parsing_expression.rb".freeze, "lib/treetop/compiler/node_classes/parsing_rule.rb".freeze, "lib/treetop/compiler/node_classes/predicate.rb".freeze, "lib/treetop/compiler/node_classes/predicate_block.rb".freeze, "lib/treetop/compiler/node_classes/repetition.rb".freeze, "lib/treetop/compiler/node_classes/sequence.rb".freeze, "lib/treetop/compiler/node_classes/terminal.rb".freeze, "lib/treetop/compiler/node_classes/transient_prefix.rb".freeze, "lib/treetop/compiler/node_classes/treetop_file.rb".freeze, "lib/treetop/compiler/ruby_builder.rb".freeze, "lib/treetop/polyglot.rb".freeze, "lib/treetop/ruby_extensions.rb".freeze, "lib/treetop/ruby_extensions/string.rb".freeze, "lib/treetop/runtime.rb".freeze, "lib/treetop/runtime/compiled_parser.rb".freeze, "lib/treetop/runtime/interval_skip_list.rb".freeze, "lib/treetop/runtime/interval_skip_list/head_node.rb".freeze, "lib/treetop/runtime/interval_skip_list/interval_skip_list.rb".freeze, "lib/treetop/runtime/interval_skip_list/node.rb".freeze, "lib/treetop/runtime/syntax_node.rb".freeze, "lib/treetop/runtime/terminal_parse_failure.rb".freeze, "lib/treetop/runtime/terminal_syntax_node.rb".freeze, "lib/treetop/version.rb".freeze, "spec/compiler/and_predicate_spec.rb".freeze, "spec/compiler/anything_symbol_spec.rb".freeze, "spec/compiler/character_class_spec.rb".freeze, "spec/compiler/choice_spec.rb".freeze, "spec/compiler/circular_compilation_spec.rb".freeze, "spec/compiler/failure_propagation_functional_spec.rb".freeze, "spec/compiler/grammar_compiler_spec.rb".freeze, "spec/compiler/grammar_spec.rb".freeze, "spec/compiler/multibyte_chars_spec.rb".freeze, "spec/compiler/namespace_spec.rb".freeze, "spec/compiler/nonterminal_symbol_spec.rb".freeze, "spec/compiler/not_predicate_spec.rb".freeze, "spec/compiler/occurrence_range_spec.rb".freeze, "spec/compiler/one_or_more_spec.rb".freeze, "spec/compiler/optional_spec.rb".freeze, "spec/compiler/parenthesized_expression_spec.rb".freeze, "spec/compiler/parsing_rule_spec.rb".freeze, "spec/compiler/repeated_subrule_spec.rb".freeze, "spec/compiler/semantic_predicate_spec.rb".freeze, "spec/compiler/sequence_spec.rb".freeze, "spec/compiler/terminal_spec.rb".freeze, "spec/compiler/terminal_symbol_spec.rb".freeze, "spec/compiler/test_grammar.treetop".freeze, "spec/compiler/test_grammar.tt".freeze, "spec/compiler/test_grammar_do.treetop".freeze, "spec/compiler/test_grammar_magic_coding.treetop".freeze, "spec/compiler/test_grammar_magic_encoding.treetop".freeze, "spec/compiler/tt_compiler_spec.rb".freeze, "spec/compiler/zero_or_more_spec.rb".freeze, "spec/composition/a.treetop".freeze, "spec/composition/b.treetop".freeze, "spec/composition/c.treetop".freeze, "spec/composition/d.treetop".freeze, "spec/composition/f.treetop".freeze, "spec/composition/grammar_composition_spec.rb".freeze, "spec/composition/subfolder/e_includes_c.treetop".freeze, "spec/ruby_extensions/string_spec.rb".freeze, "spec/runtime/compiled_parser_spec.rb".freeze, "spec/runtime/syntax_node_spec.rb".freeze, "spec/spec_helper.rb".freeze, "treetop.gemspec".freeze]
  s.homepage = "https://github.com/cjheath/treetop".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.15".freeze
  s.summary = "A Ruby-based text parsing and interpretation DSL".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<polyglot>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<activesupport>.freeze, ["~> 4"])
    s.add_development_dependency(%q<i18n>.freeze, ["~> 0.6"])
    s.add_development_dependency(%q<rr>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 11"])
  else
    s.add_dependency(%q<polyglot>.freeze, ["~> 0.3"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 4"])
    s.add_dependency(%q<i18n>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rr>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<rake>.freeze, ["~> 11"])
  end
end
